Skip to main content
GET
/
api
/
public
/
v1
/
assets
/
{assetId}
/
model
Get model published version
curl --request GET \
  --url https://{BaseURL}/api/public/v1/assets/{assetId}/model \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "version": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "versionNumber": 123,
      "recordType": "<string>",
      "published": true,
      "comment": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "<string>",
      "nodes": [
        {}
      ],
      "edges": [
        {}
      ],
      "metadata": {}
    }
  }
}
Returns the published version for this model with the same JSON shape as GET .../model/versions/{versionId} (including nodes, edges, and metadata), or null if nothing is published yet.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assetId
string<uuid>
required

Response

OK

data
object
required